Get job form
curl --request GET \
--url https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'import requests
url = "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job"
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Integration-Id"] = '<x-integration-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"properties": {
"effectiveDate": {
"label": "Effective Date",
"required": true,
"description": "Date the job change starts",
"unified_key": null,
"type": "date",
"current_value": null
},
"jobTitle": {
"label": "Job Title",
"required": false,
"description": "Employee's new job title",
"unified_key": "job_title",
"type": "text",
"reg_exp": null,
"current_value": "Nurse"
},
"manager": {
"label": "Manager",
"required": false,
"description": "Employee's new manager",
"unified_key": null,
"type": "single_select",
"options": {
"type": "referenced",
"link": "https://api.kombo.dev/v1/hris/employees?remote_model=employee"
},
"current_value": "26vafvWSRmbhNcxJYqjCzuJg"
}
}
}
}Update employment
Get job form
Get the form for updating an employment’s job.
GET
/
hris
/
employments
/
{employment_id}
/
form
/
job
Get job form
curl --request GET \
--url https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job \
--header 'Authorization: Bearer <token>' \
--header 'X-Integration-Id: <x-integration-id>'import requests
url = "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job"
headers = {
"X-Integration-Id": "<x-integration-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Integration-Id': '<x-integration-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombo.dev/v1/hris/employments/{employment_id}/form/job")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Integration-Id"] = '<x-integration-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"properties": {
"effectiveDate": {
"label": "Effective Date",
"required": true,
"description": "Date the job change starts",
"unified_key": null,
"type": "date",
"current_value": null
},
"jobTitle": {
"label": "Job Title",
"required": false,
"description": "Employee's new job title",
"unified_key": "job_title",
"type": "text",
"reg_exp": null,
"current_value": "Nurse"
},
"manager": {
"label": "Manager",
"required": false,
"description": "Employee's new manager",
"unified_key": null,
"type": "single_select",
"options": {
"type": "referenced",
"link": "https://api.kombo.dev/v1/hris/employees?remote_model=employee"
},
"current_value": "26vafvWSRmbhNcxJYqjCzuJg"
}
}
}
}Closed Beta Feature: This endpoint is now in closed beta. Please reach out to your account manager or support.
Example Form
{
"properties": {
"effectiveDate": {
"type": "date",
"label": "Effective Date",
"required": true,
"description": "Date the job change starts",
"unified_key": null,
"current_value": null
},
"jobTitle": {
"type": "text",
"label": "Job Title",
"required": false,
"description": "Employee's new job title",
"unified_key": "job_title",
"reg_exp": null,
"current_value": "Nurse"
},
"manager": {
"type": "single_select",
"label": "Manager",
"required": false,
"description": "Employee's new manager",
"unified_key": null,
"current_value": "26vafvWSRmbhNcxJYqjCzuJg",
"options": {
"type": "referenced",
"link": "https://api.kombo.dev/v1/hris/employees?remote_model=employee"
}
}
}
}
Authorizations
Headers
ID of the integration you want to interact with.
Path Parameters
The Kombo ID or the HRIS ID of the employment. Find it in employments on the employee, or with Get employments.
Example:
"remote:67890"
Response
GET /hris/employments/:employment_id/form/job Positive response
Allowed value:
"success"Show child attributes
Show child attributes
Example:
{
"properties": {
"effectiveDate": {
"label": "Effective Date",
"required": true,
"description": "Date the job change starts",
"unified_key": null,
"type": "date",
"current_value": null
},
"jobTitle": {
"label": "Job Title",
"required": false,
"description": "Employee's new job title",
"unified_key": "job_title",
"type": "text",
"reg_exp": null,
"current_value": "Nurse"
},
"manager": {
"label": "Manager",
"required": false,
"description": "Employee's new manager",
"unified_key": null,
"type": "single_select",
"options": {
"type": "referenced",
"link": "https://api.kombo.dev/v1/hris/employees?remote_model=employee"
},
"current_value": "26vafvWSRmbhNcxJYqjCzuJg"
}
}
}
Was this page helpful?